package push.devmedia.edu.br.tourguideapp;

import android.graphics.Color;
import android.support.v7.app.ActionBarActivity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.widget.Button;

import tourguide.tourguide.Overlay;
import tourguide.tourguide.Pointer;
import tourguide.tourguide.ToolTip;
import tourguide.tourguide.TourGuide;


public class MainActivity extends ActionBarActivity {

    private Button btnClickMe1, btnClickMe2, btnClickMe3;

    private TourGuide mTourGuideHandler;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        btnClickMe1 = (Button) findViewById(R.id.btnTest1);
        btnClickMe2 = (Button) findViewById(R.id.btnTest2);
        btnClickMe3 = (Button) findViewById(R.id.btnTest3);

        mTourGuideHandler = TourGuide.init(this).with(TourGuide.Technique.Click)
                .setPointer(new Pointer())
                .setToolTip(
                        new ToolTip()
                                .setTitle("Welcome...")
                                .setDescription("... to MrBool website!!")
                                .setBackgroundColor(Color.parseColor("#e54d26"))
                                .setShadow(true)
                                .setGravity(Gravity.BOTTOM | Gravity.RIGHT))
                .setOverlay(new Overlay())
                .playOn(btnClickMe1);
    }

    public void clickMe1(View view) {
        mTourGuideHandler.cleanUp();

        mTourGuideHandler
                .setToolTip(new ToolTip()
                        .setTitle("Here you'll find...")
                        .setDescription("... a lot of good tutorials")
                        .setBackgroundColor(Color.parseColor("#4b4b4b")))
                .playOn(btnClickMe2);
    }

    public void clickMe2(View view) {
        mTourGuideHandler.cleanUp();

        mTourGuideHandler
                .setToolTip(new ToolTip()
                        .setTitle("Enjoy!!!")
                        .setDescription("and leave a comment if you like it! :)")
                        .setBackgroundColor(Color.parseColor("#0E37EC"))
                        .setGravity(Gravity.TOP | Gravity.RIGHT))
                .playOn(btnClickMe3);
    }

    public void clickMe3(View view) {
        mTourGuideHandler.cleanUp();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        // Inflate the menu; this adds items to the action bar if it is present.
        getMenuInflater().inflate(R.menu.menu_main, menu);
        return true;
    }

    @Override
    public boolean onOptionsItemSelected(MenuItem item) {
        // Handle action bar item clicks here. The action bar will
        // automatically handle clicks on the Home/Up button, so long
        // as you specify a parent activity in AndroidManifest.xml.
        int id = item.getItemId();

        //noinspection SimplifiableIfStatement
        if (id == R.id.action_settings) {
            return true;
        }

        return super.onOptionsItemSelected(item);
    }
}
